aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/tcf-agent
diff options
context:
space:
mode:
authorChong Lu <Chong.Lu@windriver.com>2013-12-10 16:58:01 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-12-10 11:29:54 +0000
commite5d81f757de4bd1bfd37a96300edd50b77b0d21c (patch)
treedc38d964ea9976412de63a559d5ca2bbac55771d /meta/recipes-devtools/tcf-agent
parenta01febdeacd08c7ab7983ad7555368a17b937907 (diff)
downloadopenembedded-core-contrib-e5d81f757de4bd1bfd37a96300edd50b77b0d21c.tar.gz
openembedded-core-contrib-e5d81f757de4bd1bfd37a96300edd50b77b0d21c.tar.bz2
openembedded-core-contrib-e5d81f757de4bd1bfd37a96300edd50b77b0d21c.zip
meta/*: remove unnecessary patches
The following patches are found, but not used by any recipe, so we should remove them. meta/recipes-connectivity/avahi/files/fix_for_automake_1.11.2.patch meta/recipes-connectivity/dhcp/dhcp/fix-client-path.patch meta/recipes-connectivity/libnss-mdns/files/alignment-fix.patch meta/recipes-core/dbus/dbus-1.6.10/test-run-path.patch meta/recipes-core/gettext/gettext-0.16.1/fixchicken.patch meta/recipes-core/gettext/gettext-0.16.1/getline.m4.patch meta/recipes-core/systemd/systemd/use-rootlibdir.patch meta/recipes-core/util-linux/util-linux/remove-lscpu.patch meta/recipes-core/util-linux/util-linux/remove_sigsetmark.patch meta/recipes-core/util-linux/util-linux/uclibc-compile.patch meta/recipes-devtools/autoconf/autoconf/autoconf-x.patch meta/recipes-devtools/btrfs-tools/btrfs-tools/btrfs-progs-fix-parallel-build.patch meta/recipes-devtools/btrfs-tools/btrfs-tools/btrfs-progs-fix-parallel-build2.patch meta/recipes-devtools/cdrtools/cdrtools-native/no_usr_src.patch meta/recipes-devtools/elfutils/elfutils-0.155/elfutils-robustify.patch meta/recipes-devtools/gdb/gdb/libiberty-cross.patch meta/recipes-devtools/perl/perl-5.14.3/asm-pageh-fix.patch meta/recipes-devtools/python/python-native/sys_platform_is_now_always_linux2.patch meta/recipes-devtools/python/python-pygobject/generate-constants.patch meta/recipes-devtools/qemu/files/3f08ffb4a4741d147634761dc053ed386243a0de.patch meta/recipes-devtools/qemu/files/enable-i386-linux-user.patch meta/recipes-devtools/qemu/files/init-info.patch meta/recipes-devtools/rpm/rpm/rpm_fix_for_automake-1.12.patch meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch meta/recipes-extended/iputils/files/arping-break-libsysfs-dependency.patch meta/recipes-extended/libarchive/libarchive/0003-Patch-from-upstream-rev-2516.patch meta/recipes-extended/procps/procps-3.2.8/pagesz-not-constant.patch meta/recipes-gnome/gtk+/gtk+-2.24.22/no-demos.patch meta/recipes-gnome/libglade/libglade-2.6.4/no-deprecation.patch meta/recipes-graphics/mesa/mesa/0005-llvmpipe-remove-the-power-of-two-sizeof-struct-cmd_b.patch meta/recipes-graphics/xorg-lib/libxxf86dga/libxxf86dga-1.1.3_fix_for_x32.patch meta/recipes-kernel/kmod/kmod/fix-undefined-O_CLOEXEC.patch meta/recipes-kernel/linux-libc-headers/linux-libc-headers/connector-msg-size-fix.patch meta/recipes-kernel/linux/linux-yocto/tools-perf-no-scripting.patch meta/recipes-support/gnutls/gnutls/gnutls-texinfo-euro.patch meta/recipes-support/nspr/nspr/fix-build-on-aarch64.patch [YOCTO #5180] Signed-off-by: Chong Lu <Chong.Lu@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/tcf-agent')
-rw-r--r--meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch96
1 files changed, 0 insertions, 96 deletions
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
deleted file mode 100644
index 8ea5b43d53..0000000000
--- a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch
+++ /dev/null
@@ -1,96 +0,0 @@
-Upstream-Status: Inappropriate [poky-specific script]
-
---- a/Makefile
-+++ b/Makefile
-@@ -64,7 +64,7 @@
- install -d -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/services
- install -c $(BINDIR)/agent -m 755 $(INSTALLROOT)$(SBIN)/tcf-agent
- install -c $(BINDIR)/client -m 755 $(INSTALLROOT)$(SBIN)/tcf-client
-- install -c main/tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
-+ install -c tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent
- install -c config.h -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/config.h
- install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/framework -m 644 framework/*.h
- install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/services -m 644 services/*.h
---- /dev/null
-+++ b/tcf-agent.init
-@@ -0,0 +1,80 @@
-+#!/bin/sh
-+### BEGIN INIT INFO
-+# Provides: tcf-agent
-+# Default-Start: 3 5
-+# Default-Stop: 0 1 2 6
-+# Short-Description: Target Communication Framework agent
-+### END INIT INFO
-+
-+DAEMON_PATH=/usr/sbin/tcf-agent
-+DAEMON_NAME=`basename $DAEMON_PATH`
-+
-+. /etc/init.d/functions
-+
-+test -x $DAEMON_PATH || exit 0
-+
-+PATH=/sbin:/usr/sbin:/bin:/usr/bin
-+export PATH
-+
-+RETVAL=0
-+
-+case "$1" in
-+ start)
-+ echo -n "Starting $DAEMON_NAME: "
-+ $DAEMON_PATH -d -L- -l0
-+ RETVAL=$?
-+ if [ $RETVAL -eq 0 ] ; then
-+ echo "OK"
-+ touch /var/lock/subsys/$DAEMON_NAME
-+ else
-+ echo "FAIL"
-+ fi
-+ ;;
-+
-+ stop)
-+ echo -n "Stopping $DAEMON_NAME: "
-+ count=0
-+ pid=$(/bin/pidof $DAEMON_PATH)
-+ while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do
-+ kill $pid > /dev/null 2>&1
-+ sleep 1
-+ RETVAL=$?
-+ if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then
-+ sleep 3
-+ fi
-+ count=`expr $count + 1`
-+ pid=$(/bin/pidof $DAEMON_PATH)
-+ done
-+ rm -f /var/lock/subsys/$DAEMON_NAME
-+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
-+ echo "FAIL"
-+ else
-+ echo "OK"
-+ fi
-+ ;;
-+
-+ restart)
-+ $0 stop
-+ sleep 1
-+ $0 start
-+ ;;
-+
-+ status)
-+ if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then
-+ echo "$DAEMON_NAME is running"
-+ else
-+ echo "$DAEMON_NAME is not running"
-+ fi
-+ ;;
-+
-+ condrestart)
-+ [ -f /var/lock/subsys/$DAEMON_NAME ] && $0 restart
-+ ;;
-+
-+ *)
-+ echo "usage: $0 { start | stop | restart | condrestart | status }"
-+ ;;
-+esac
-+
-+exit $RETVAL
-+